﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using Nyilvantarto.mdl.ent.types;

namespace Nyilvantarto
{
    public partial class UjTankolasBejegyzes : Form
    {
        private TankolasKezelo tankolasKezelo;

        public UjTankolasBejegyzes()
        {
            InitializeComponent();
        }

        public UjTankolasBejegyzes(TankolasKezelo tankolasKezelo)
        {
            // TODO: Complete member initialization
            this.tankolasKezelo = tankolasKezelo;
            InitializeComponent();
        }

        private void hozzaadGomb_Click(object sender, EventArgs e)
        {
            try
            {
                tankolasKezelo.addTankolasRekord(new TankolasRekord(DateTime.Parse(dateTimePicker1.Text), bizonylatszam.Text, Double.Parse(mennyiseg.Text)));
                MessageBox.Show("Új bejegyzés hozzáadva a várólistához (véglegesítés szükséges!)");
            }
            catch (Exception err)
            {
                MessageBox.Show("Hiba történt. Ellenőrizze a bevitt adatok érvényességét.\n\n" + err.ToString(), "Hiba", MessageBoxButtons.OK, MessageBoxIcon.Warning);
            }
        }

        private void vegeGomb_Click(object sender, EventArgs e)
        {
            this.Hide();
        }
    }
}
