﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Nyilvantarto.mdl.ent.types;

namespace Nyilvantarto.mdl.ent
{
    public class Szemelyauto : Jarmu
    {
        public override int CsomagtartoMeret { get; set; }
        public override int UtasMax { get; set; }

        public Szemelyauto()
        {
            this.Alvazszam = "";
            this.Gyarto = "";
            this.Tankolasok = new List<TankolasRekord>();
            this.Tipus = "";
            this.CsomagtartoMeret = 0;
            this.UtasMax = 0;
        }

        public Szemelyauto(string Alvazszam, string Uzemanyag, string Gyarto, string Tipus,
            List<TankolasRekord> Tankolasok, int CsomagtartoMeret, int UtasMax)
        {
            this.Alvazszam = Alvazszam;
            this.Gyarto = Gyarto;
            this.Tankolasok = Tankolasok;
            this.Tipus = Tipus;
            this.Uzemanyag = Uzemanyag;
            this.CsomagtartoMeret = CsomagtartoMeret;
            this.UtasMax = UtasMax;
        }
    }
}
