﻿/*
 * 'A PostgreSQL objektumrelációs lehetőségei'
 * Szakdolgozat
 * Cser Lajos, Szegedi Tudományegyetem, 2013.
 */

DROP FUNCTION jarmu_count();
CREATE OR REPLACE FUNCTION jarmu_count()
RETURNS TABLE(melyik_csoport TEXT, mennyiseg BIGINT)  AS
$$
BEGIN
	RETURN QUERY SELECT 'Csak az őstáblában: ' melyik_csoport, count(*) mennyiseg FROM ONLY jarmu
	UNION ALL
	SELECT 'Összesen: ' melyik_csoport, count(*) mennyiseg FROM jarmu
	UNION ALL
	SELECT 'Személyautó: ' melyik_csoport, count(*) mennyiseg FROM szemelyauto
	UNION ALL
	SELECT 'Teherautó: ' melyik_csoport, count(*) mennyiseg FROM teherauto
	UNION ALL
	SELECT 'Munkagép: ' melyik_csoport, count(*) mennyiseg FROM munkagep;
END;
$$
LANGUAGE plpgsql VOLATILE;