﻿/*
 * 'A PostgreSQL objektumrelációs lehetőségei'
 * Szakdolgozat
 * Cser Lajos, Szegedi Tudományegyetem, 2013.
 */
 
DROP TRIGGER IF EXISTS Munkagep_integritas ON Munkagep;
DROP FUNCTION integritas_helyreallit();
 
CREATE OR REPLACE FUNCTION integritas_helyreallit() 
RETURNS TRIGGER AS $$
DECLARE
	tipus eng_jarmu_tipusok;
BEGIN
	tipus := 'munkagep';
	IF NEW.alvazszam IN (SELECT Jarmu_integritas(tipus)) THEN
		RETURN NULL;
	ELSE
		RETURN NEW;
	END IF;


END;
$$ LANGUAGE plpgsql VOLATILE;

CREATE TRIGGER Munkagep_integritas
BEFORE INSERT OR UPDATE
ON Munkagep
FOR EACH ROW
EXECUTE PROCEDURE Integritas_helyreallit();
