﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using Nyilvantarto.mdl;
using Nyilvantarto.mdl.ent;
using Nyilvantarto.mdl.ent.types;

namespace Nyilvantarto
{
    public partial class TankolasKezelo : Form
    {
        private DataConnection Kapcsolat;
        private String Vin;

        private List<TankolasRekord> UjLista;
        private int CountUj = 0;

        public TankolasKezelo()
        {
            InitializeComponent();
        }

        public TankolasKezelo(DataConnection Kapcsolat, String Vin)
        {
            InitializeComponent();
            this.Kapcsolat = Kapcsolat;
            this.Vin = Vin;
            label1.Text = "Jármű: " + this.Vin;
            this.Text = "Tankolások kezelése: " + this.Vin;
            tankolasLista.DataSource = Kapcsolat.listTankolas(this.Vin);
            this.UjLista = new List<TankolasRekord>();
        }


        public void addTankolasRekord(TankolasRekord t)
        {
            UjLista.Add(t);
            CountUj++;
            toolStripLabel1.Text = "("+CountUj.ToString()+" várakozó módosítás)";
            
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Kapcsolat.saveTankolas(this.UjLista, this.Vin);
            this.Hide();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Hide();
        }

        private void TankolasKezelo_Load(object sender, EventArgs e)
        {

        }

        private void toolStripButton3_Click(object sender, EventArgs e)
        {
            Form tankolasos = new UjTankolasBejegyzes(this);
            tankolasos.ShowDialog();
        }

        private void toolStripLabel1_Click(object sender, EventArgs e)
        {

        }
    }
}
