﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Nyilvantarto.mdl.ent.types
{
    /// <summary>
    /// Járművek tankolását tároló rekordtípus megvalósítása.
    /// </summary>
    public class TankolasRekord
    {
        public DateTime Datum { get; set; }
        public string Bizonylatszam { get; set; }
        public double Liter { get; set; }

        public TankolasRekord(DateTime dt, string bizonylatsz, double lit)
        {
            this.Datum = dt;
            this.Bizonylatszam = bizonylatsz;
            this.Liter = lit;
        }
    }
}
