﻿CREATE OR REPLACE FUNCTION dolgozo_generator(integer)
  RETURNS void AS
$BODY$
DECLARE
	ev INTEGER;
	ho INTEGER;
	nap INTEGER;
	nev CHARACTER VARYING;
	beosztasa CHARACTER VARYING;
	szuldat DATE;
	szemszam CHARACTER VARYING;
	i INTEGER = 0;
	n INTEGER;
	m INTEGER;
	o INTEGER;

	veznev CHARACTER VARYING[] = '{"Tóth", "Kovács", "Katona", "Horváth", "Oláh", "Simon", "Rácz", "Fekete", "Antal", "Orosz", "Vincze", "Székely", "Bakos", "Major", "Tamás", "Pataki", "Faragó"}';
	szemnev CHARACTER VARYING[] = '{"Péter", "Balázs", "Olivér", "Bálint", "Márk", "József", "Márton", "Réka", "Nóra", "Éva", "Tibor", "Béla", "Lajos", "Kálmán", "Károly", "Orsolya", "Tamás", "Gyula"}';
	beoszt CHARACTER VARYING[] = '{"takarító", "titkár", "könyvelő", "gépkocsivezető", "osztályvezető", "munkafelügyelő", "igazgatóhelyettes", "osztályvezető-helyettes", "napszámos", "asszisztens"}';
BEGIN
	WHILE i < $1 LOOP
	BEGIN
		ev = 1930+CAST(random()*60 +1 AS INTEGER);
		ho = CAST(random()*11 +1 AS INTEGER);
		nap = CAST(random()*27 +1 AS INTEGER);
		n = CAST(random()*(array_length(veznev,1)-1) +1 AS INTEGER);
		m = CAST(random()*(array_length(szemnev,1)-1) +1 AS INTEGER);
		o  = CAST(random()*(array_length(beoszt,1)-1) +1 AS INTEGER);
		nev = veznev[n] || ' ' || szemnev[m];
		beosztasa = beoszt[o];
		szemszam = CAST(ev AS CHARACTER VARYING) || CAST(ho AS CHARACTER VARYING) || CAST(nap AS CHARACTER VARYING) || '-' || CAST(CAST(random()*1000 AS INTEGER) AS CHARACTER VARYING) || '-1';
		szuldat = CAST((CAST(ev AS CHARACTER VARYING) || '-' || CAST(ho AS CHARACTER VARYING) || '-' || CAST(nap AS CHARACTER VARYING)) AS DATE);
		i = i + 1;
		INSERT INTO Dolgozo(nev, szemelyiszam, szuletesidatum, beosztas, szerzodese) VALUES (
			nev,
			szemszam,
			szuldat,
			beosztasa,
			ROW('MUNKASZERZŐDÉS - A dolgozó elfogadja a vonatkozó Rendelkezéseket, és határozatlan ideig a Gazdálkodó Kft. által előzetesen ismertetett munkakörben alkalmazottként fog tevékenykedni.', FALSE, 1)
		);
		
	END;
	END LOOP;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION dolgozo_generator(integer)
  OWNER TO postgres;

  select Dolgozo_generator(100);
  -- 1000 dolgozó: 23-113 ms
